package com.jwipc.tender.model.query;/**
 * <p> </p>
 *
 * @author ZhangJie
 * @version 1.0
 * @since JDK 1.8
 */

import com.jwipc.db.DbUtil;
import com.jwipc.query.BasePageQuery;
import lombok.Data;

import java.io.Serial;
import java.util.List;
import java.util.Set;

@Data
public class BidQuery extends BasePageQuery {
    @Serial
    private static final long serialVersionUID = -4490898479431882673L;
    private String name;
    private String code;
    private String purchaseGroupCode;
    private String start;
    private String end;
    private String status;
    private String createName;
    private Long supplierId;
    private Set<String> userPurchaseGroupCodes;

    public String getNameLike() {
        return DbUtil.toLike(this.name);
    }
    public String getCodeLike() {
        return DbUtil.toLike(this.code);
    }

    public List<String> getStatusList() {
        return DbUtil.toList(this.status);
    }
}
